Bug 1566596 - Update chapter on the renewal of certificates using certutil
Summary: Update chapter on the renewal of certificates using certutil
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Filip Hanzelka
QA Contact: ipa-qe
Filip Hanzelka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 15:14 UTC by Filip Hanzelka
Modified: 2019-03-06 01:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 09:43:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Filip Hanzelka 2018-04-12 15:14:44 UTC
Update the following chapter https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/linux_domain_identity_authentication_and_policy_guide/#requesting-cert-certutil
based on the input provided by Morgan Weetman:



The command in step 3 needs to include '--certificate-out <file_name>'.

Then we need a step 4, where we use certutil to add <file_name> into the NSS DB, in my case I used:

certutil -A -d idmuser01-cert/ -n idmuser01 -t "P,," -i ~/idmuser01.pem

.. it will be different for your example.

The purpose of these updates is so that the certificate generated with certutil can be renewed when expiry time gets close.


Note You need to log in before you can comment on or make changes to this bug.